#!/bin/bash
set -e

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
    CREATE USER rmid WITH ENCRYPTED PASSWORD 'rmid';
    CREATE DATABASE rmid;
    GRANT ALL PRIVILEGES ON DATABASE rmid TO rmid;
    CREATE USER cookie WITH ENCRYPTED PASSWORD 'cookiepass';
    CREATE DATABASE cookie;
    GRANT ALL PRIVILEGES ON DATABASE cookie TO cookie;
EOSQL